﻿@using Portal.Models;
@using System.Web.UI.WebControls;

@Html.DevExpress().CallbackPanel(
	cpSettings => {
		cpSettings.Name = "cpPopup";
        cpSettings.CallbackRouteValues = new { Controller = "DataExch", Action = "SearchLookUpUser" };
        cpSettings.Width = Unit.Percentage(100);
        cpSettings.Height = Unit.Percentage(80);

		cpSettings.ClientSideEvents.BeginCallback = "OnBeginCallback";		

		cpSettings.SetContent(() => {
            ViewContext.Writer.Write(
                    "<table border=\"0\" height: 170px; >" +
                        "<tr>" +
                            "<td style=\"width: 100px;\">Name</td>" +
                            "<td align=\"center\" style=\"width: 20px;\">:</td>" +
                            "<td style=\"width: 500px;\">");

                Html.DevExpress().TextBox(
                    textBoxSettings =>
                    {
                        textBoxSettings.Name = "lookupName";
                        textBoxSettings.Properties.MaxLength = 50;
                        textBoxSettings.Properties.Size = 52;
                        textBoxSettings.ControlStyle.CssClass = "editor";
                    }
                ).Bind(Model.GetModel<DataExchModel>().lookupName).Render();

                ViewContext.Writer.Write(
                            "</td>" +
                            "<td align=\"center\" style=\"width: 280px;\">");

                Html.DevExpress().Button(
                    buttonSettings =>
                    {
                        buttonSettings.Name = "btnSearch";
                        buttonSettings.ControlStyle.CssClass = "button";
                        buttonSettings.Width = 80;
                        buttonSettings.Text = "Search";
                        buttonSettings.ClientSideEvents.Click = "OnClick";
                    }
                ).Render();

                ViewContext.Writer.Write("</td>" +
                        "</tr>" +
                        "<tr>" +
                            "<td ></td>" +
                            "<td align=\"center\" ></td>" +
                            "<td ></td>" +
                            "<td align=\"center\" >");

                Html.DevExpress().Button(
                    buttonSettings =>
                    {
                        buttonSettings.Name = "btnClear";
                        buttonSettings.ControlStyle.CssClass = "button";
                        buttonSettings.Width = 80;
                        buttonSettings.Text = "Clear";
                        buttonSettings.ClientSideEvents.Click = "function(s, e){ ASPxClientEdit.ClearEditorsInContainer(); }";
                    }
                ).Render();

                ViewContext.Writer.Write("</td>" +
                        "</tr><tr><td>&nbsp;</td></tr>" +
                    "</table>"
                );

                ViewContext.Writer.Write("<div class=\"line\">");
                Html.DevExpress().GridView(
                    settingsTab1 =>
                    {
                        settingsTab1.Name = "GVUser";
                        settingsTab1.ControlStyle.CssClass = "grid";
                        settingsTab1.Styles.Header.HorizontalAlign = HorizontalAlign.Center;
                        settingsTab1.Width = Unit.Percentage(100);
                        settingsTab1.Settings.VerticalScrollBarMode = ScrollBarMode.Visible;
                        settingsTab1.KeyFieldName = "Username";
                        settingsTab1.Settings.VerticalScrollableHeight = 280;
                        settingsTab1.SettingsPager.PageSize = 10;
                        settingsTab1.SettingsPager.AlwaysShowPager = true;
                        settingsTab1.SettingsPager.Position = PagerPosition.Bottom;
                        settingsTab1.SettingsPager.FirstPageButton.Visible = true;
                        settingsTab1.SettingsPager.LastPageButton.Visible = true;

                        settingsTab1.Columns.Add("Username", "User Name", MVCxGridViewColumnType.TextBox).Width = Unit.Percentage(18);
                        settingsTab1.Columns.Add("FirstName", "First Name", MVCxGridViewColumnType.TextBox).Width = Unit.Percentage(18);
                        settingsTab1.Columns.Add("LastName", "Last Name", MVCxGridViewColumnType.TextBox).Width = Unit.Percentage(18);
                        settingsTab1.Columns["LastName"].CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        settingsTab1.Columns.Add("Email", "Email", MVCxGridViewColumnType.TextBox).Width = Unit.Percentage(35);
                        settingsTab1.Columns.Add("Division", "Division", MVCxGridViewColumnType.TextBox).Width = Unit.Percentage(12);
                        settingsTab1.Columns.Add("Departement", "Departement", MVCxGridViewColumnType.TextBox).Width = Unit.Percentage(15);

                        settingsTab1.CommandColumn.ShowSelectCheckbox = true;
                        //settingsTab1.CommandColumn.Name = "Username";
                        settingsTab1.CommandColumn.Visible = true;
                        settingsTab1.CommandColumn.Width = Unit.Percentage(5);
                        settingsTab1.ClientSideEvents.SelectionChanged = "SelectionChanged";

                    }).Bind(Model.GetModel<DataExchModel>().LookUpUserList).Render();

                ViewContext.Writer.Write(
                    "<table border=\"0\" >" +
                        "<tr><td>&nbsp;</td><td>&nbsp;</td></tr>" +
                        "<tr> <div id=\"btn1\">" +
                            "<td align=\"right\" style=\"width: 720px;\">");
                Html.DevExpress().Button(
                    settingsPP4 =>
                    {
                        settingsPP4.Name = "btnSelect";
                        settingsPP4.Text = "Select";
                        settingsPP4.Width = 80;
                        settingsPP4.Styles.Style.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
                        settingsPP4.ClientSideEvents.Click = "function(s, e){ pcModalMode.Hide(); }";
                        //settingsPP4.RouteValues = new { Controller = "DataExch", Action = "Postback" };                        
                    }
                    ).Render();
                ViewContext.Writer.Write(
                            "</td> </div>" +
                            "<td align=\"right\" style=\"width: 90px;\">");
                Html.DevExpress().Button(
                    settingsPP5 =>
                    {
                        settingsPP5.Name = "btnBack";
                        settingsPP5.ControlStyle.CssClass = "button";
                        settingsPP5.Width = 80;
                        settingsPP5.Text = "Back";
                        settingsPP5.ClientSideEvents.Click = "function(s, e){ pcModalMode.Hide(); }";
                    }
                )
                .Render();
                ViewContext.Writer.Write("</td>" +
                        "</tr></table>");

                ViewContext.Writer.Write("</div><b class=\"Clear\"></b>");
        });
    }).GetHtml()
